<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/AVS/src/ExternalMediaPlayer/AdapterUtils.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a></li><li class="navelem"><a class="el" href="dir_d94cc11696d13ea67fe90a2d6eb692db.html">src</a></li><li class="navelem"><a class="el" href="dir_198b64896bfde6c030483a7573c2d398.html">ExternalMediaPlayer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">AdapterUtils.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_adapter_utils_8h_source.html">AVSCommon/AVS/ExternalMediaPlayer/AdapterUtils.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_external_media_adapter_constants_8h_source.html">AVSCommon/AVS/ExternalMediaPlayer/ExternalMediaAdapterConstants.h</a>&quot;</code><br />
<code>#include &lt;rapidjson/document.h&gt;</code><br />
<code>#include &lt;rapidjson/stringbuffer.h&gt;</code><br />
<code>#include &lt;rapidjson/writer.h&gt;</code><br />
<code>#include &lt;rapidjson/error/en.h&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for AdapterUtils.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_adapter_utils_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2src_2_external_media_player_2_adapter_utils_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2src_2_external_media_player_2_adapter_utils_8cpp" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2src_2_external_media_player_2_adapter_utils_8cpp">
<area shape="rect" id="node2" href="_adapter_utils_8h.html" title="AVSCommon/AVS/ExternalMedia\lPlayer/AdapterUtils.h" alt="" coords="487,105,707,144"/>
<area shape="rect" id="node17" href="_external_media_adapter_constants_8h.html" title="AVSCommon/AVS/ExternalMedia\lPlayer/ExternalMediaAdapterConstants.h" alt="" coords="852,105,1118,144"/>
<area shape="rect" id="node7" href="_namespace_and_name_8h.html" title="AVSCommon/AVS/NamespaceAnd\lName.h" alt="" coords="981,192,1210,231"/>
<area shape="rect" id="node9" href="_external_media_adapter_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ExternalMediaAdapterInterface.h" alt="" coords="738,192,958,231"/>
<area shape="rect" id="node16" href="_retry_timer_8h.html" title="AVSCommon/Utils/RetryTimer.h" alt="" coords="504,199,714,224"/>
<area shape="rect" id="node10" href="_requires_shutdown_8h.html" title="AVSCommon/Utils/Requires\lShutdown.h" alt="" coords="935,279,1123,317"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">alexaClientSDK::avsCommon</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1avs"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html">alexaClientSDK::avsCommon::avs</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html">alexaClientSDK::avsCommon::avs::externalMediaPlayer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a10fd7ee5999ce8f2ca0e070ea154945f"><td class="memItemLeft" align="right" valign="top">avsCommon::utils::RetryTimer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a10fd7ee5999ce8f2ca0e070ea154945f">alexaClientSDK::avsCommon::avs::externalMediaPlayer::SESSION_RETRY_TIMER</a> (SESSION_RETRY_TABLE)</td></tr>
<tr class="separator:a10fd7ee5999ce8f2ca0e070ea154945f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6096f7206334a922d004fc94f878911a"><td class="memItemLeft" align="right" valign="top">const NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a6096f7206334a922d004fc94f878911a">alexaClientSDK::avsCommon::avs::externalMediaPlayer::CHANGE_REPORT</a> (&quot;Alexa&quot;, &quot;ChangeReport&quot;)</td></tr>
<tr class="separator:a6096f7206334a922d004fc94f878911a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29d726703b2a49e2038fe90247ecf5de"><td class="memItemLeft" align="right" valign="top">const NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a29d726703b2a49e2038fe90247ecf5de">alexaClientSDK::avsCommon::avs::externalMediaPlayer::REQUEST_TOKEN</a> (&quot;ExternalMediaPlayer&quot;, &quot;RequestToken&quot;)</td></tr>
<tr class="separator:a29d726703b2a49e2038fe90247ecf5de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac31f7bdf17b2d9a65f7c2e1bc1fc45e9"><td class="memItemLeft" align="right" valign="top">const NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#ac31f7bdf17b2d9a65f7c2e1bc1fc45e9">alexaClientSDK::avsCommon::avs::externalMediaPlayer::LOGIN</a> (&quot;ExternalMediaPlayer&quot;, &quot;Login&quot;)</td></tr>
<tr class="separator:ac31f7bdf17b2d9a65f7c2e1bc1fc45e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad13383a72714d1cac1d80ab42c4b20c3"><td class="memItemLeft" align="right" valign="top">const NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#ad13383a72714d1cac1d80ab42c4b20c3">alexaClientSDK::avsCommon::avs::externalMediaPlayer::LOGOUT</a> (&quot;ExternalMediaPlayer&quot;, &quot;Logout&quot;)</td></tr>
<tr class="separator:ad13383a72714d1cac1d80ab42c4b20c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a288e6cd3325c3d7f85bc865d2488ad6d"><td class="memItemLeft" align="right" valign="top">const NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a288e6cd3325c3d7f85bc865d2488ad6d">alexaClientSDK::avsCommon::avs::externalMediaPlayer::PLAYER_EVENT</a> (&quot;ExternalMediaPlayer&quot;, &quot;PlayerEvent&quot;)</td></tr>
<tr class="separator:a288e6cd3325c3d7f85bc865d2488ad6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a292afcd1f4732ea4264b830f2c6f9cbc"><td class="memItemLeft" align="right" valign="top">const NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a292afcd1f4732ea4264b830f2c6f9cbc">alexaClientSDK::avsCommon::avs::externalMediaPlayer::PLAYER_ERROR_EVENT</a> (&quot;ExternalMediaPlayer&quot;, &quot;PlayerError&quot;)</td></tr>
<tr class="separator:a292afcd1f4732ea4264b830f2c6f9cbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea7441f8a94f5ae1b9e5defb607694c8"><td class="memItemLeft" align="right" valign="top">rapidjson::Value&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#aea7441f8a94f5ae1b9e5defb607694c8">alexaClientSDK::avsCommon::avs::externalMediaPlayer::buildSupportedOperations</a> (const std::vector&lt; SupportedPlaybackOperation &gt; &amp;supportedOperations, rapidjson::Document::AllocatorType &amp;allocator)</td></tr>
<tr class="separator:aea7441f8a94f5ae1b9e5defb607694c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e27177be092019841c39d05ef01d77d"><td class="memItemLeft" align="right" valign="top">rapidjson::Value&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a7e27177be092019841c39d05ef01d77d">alexaClientSDK::avsCommon::avs::externalMediaPlayer::buildPlaybackState</a> (const avsCommon::sdkInterfaces::externalMediaPlayer::AdapterPlaybackState &amp;playbackState, rapidjson::Document::AllocatorType &amp;allocator)</td></tr>
<tr class="separator:a7e27177be092019841c39d05ef01d77d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4af4a9e2dd624d73fd37d6ef7fb3a6ff"><td class="memItemLeft" align="right" valign="top">rapidjson::Value&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a4af4a9e2dd624d73fd37d6ef7fb3a6ff">alexaClientSDK::avsCommon::avs::externalMediaPlayer::buildSessionState</a> (const avsCommon::sdkInterfaces::externalMediaPlayer::AdapterSessionState &amp;sessionState, rapidjson::Document::AllocatorType &amp;allocator)</td></tr>
<tr class="separator:a4af4a9e2dd624d73fd37d6ef7fb3a6ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab708a95526e534c4a580f50031ce86d8"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#ab708a95526e534c4a580f50031ce86d8">alexaClientSDK::avsCommon::avs::externalMediaPlayer::buildDefaultPlayerState</a> (rapidjson::Value *document, rapidjson::Document::AllocatorType &amp;allocator)</td></tr>
<tr class="separator:ab708a95526e534c4a580f50031ce86d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ad791223c40054f1f6ff04535866aebca"><td class="memItemLeft" align="right" valign="top">const char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#ad791223c40054f1f6ff04535866aebca">alexaClientSDK::avsCommon::avs::externalMediaPlayer::DEFAULT_STATE</a> [] = &quot;IDLE&quot;</td></tr>
<tr class="memdesc:ad791223c40054f1f6ff04535866aebca"><td class="mdescLeft">&#160;</td><td class="mdescRight">The default state of a player.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#ad791223c40054f1f6ff04535866aebca">More...</a><br /></td></tr>
<tr class="separator:ad791223c40054f1f6ff04535866aebca"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
